PHP Manual
Prev |  | Next

# HttpRequestPool::attach

(no version information, might be only in CVS)

HttpRequestPool::attach -- Attach HttpRequest

## Description

publicbool HttpRequestPool::attach ( HttpRequest request )

Attach an HttpRequest object to this HttpRequestPool.

Warning
Set all options prior attaching!

## Parameters

request

  an HttpRequest object not already attached to any HttpRequestPool object

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

Throws HttpInvalidParamException, HttpRequestException, HttpRequestPoolException, HttpEncodingException.

Prev | Home | Next
HttpRequestPool | Up | HttpRequestPool::__construct